Subject: Re: [Re: SEP vs. LWSP]

From: Nissim Buskila <[email-masked]>
Date: Wed, 13 Oct 1999 18:28:20 ASIA/TEL_AVIV

Well, I'm getting a little bit confused here. Suppose you have a sequence of 4
spaces. Given that, LWSP will match (there are 4 spaces), as well as SEP will
match (there are more than 1 spaces).
How can you distinguish between LWSP and SEP???

Nissim.

"Abdallah Rayhan" <[email-masked]> wrote:
> 
> The answer is yes, we need the two. There is difference between LWSP and
SEP.
> LWSP means zero or more space, and SEP is at least one space. Why at least
one ?
> 
> Because between authenticationHeader and message there is no separator.
> You find separators in "=", ":" ,"}" ," {" , "," , etc. Between the header
and
> message
> there is not one like that, therefore we need to insert the space to do it.
> Otherwise you can not tell where the header ends and where the message
starts.
> Same thing applies to Version and mId.
> 
> regards
> Abdallah
> 
> Nissim Buskila wrote:
> 
> > Do we really need both the SEP and LWSP tokens??? The SEP token is only
used
> > twice in the whole ABNF. IMHO we need to consolidate them into a single
> > token.
> >
> > Nissim.
> >
> > ____________________________________________________________________
> > Get free email and a permanent address at http://www.netaddress.com/?N=1

____________________________________________________________________
Get free email and a permanent address at http://www.netaddress.com/?N=1

---

From: Abdallah Rayhan <[email-masked]>
Date: Wed, 13 Oct 1999 17:54:34 -0400

I dont see the source of confusion. SEP and LWSP dont appear together.
If you get SEP then you must have a space or EOL separator between two
tokens that can not be separated otherwise. SEP appears only in three places
of the ABNF. Once a separator occurs, apply LWSP for whatever you see
if applies. In your example, first space belongs to (WSP | COMMENT | EOL)
in SEP, the rest belongs to LWSP.

SEP = (WSP | EOL | COMMENT) LWSP

regards

Abdallah Rayhan

---

From: Christian Huitema <[email-masked]>
Date: Thu, 14 Oct 1999 13:55:25 -0400

>I dont see the source of confusion. SEP and LWSP dont appear together.

I agree with you that there is no occurence in the grammar where we can
have a choice between SEP and LWSP. The problem arise when you want to do a
naive implementation with "lex" and "yacc", i.e. with a token parser before
the syntax analysis. There is no way to differentiate at that stage an LWSP
toke from a SEP token.  But then, there is also no need to return different
tokens.  The implementation solution is to program lex to return a SEP
token, and to define LWSP in Yacc as being "an optional SEP." In short, it
is an implementation issue, not a syntax issue.
-- Christian Huitema